Retrieve a webhook endpoint
curl --request GET \
--url https://api.hooper.gg/v1/webhook_endpoints/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hooper.gg/v1/webhook_endpoints/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hooper.gg/v1/webhook_endpoints/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "we_2",
"object": "webhook_endpoint",
"created": 123,
"url": "<string>",
"status": "enabled",
"enabled_events": [
"*"
],
"description": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "<string>",
"param": "source.url"
}
}Webhooks
Retrieve a webhook endpoint
GET
/
v1
/
webhook_endpoints
/
{id}
Retrieve a webhook endpoint
curl --request GET \
--url https://api.hooper.gg/v1/webhook_endpoints/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hooper.gg/v1/webhook_endpoints/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hooper.gg/v1/webhook_endpoints/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "we_2",
"object": "webhook_endpoint",
"created": 123,
"url": "<string>",
"status": "enabled",
"enabled_events": [
"*"
],
"description": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "<string>",
"param": "source.url"
}
}Authorizations
API key issued by Hooper for your organization. Keys are environment-tagged: hk_prod_ keys work against production, hk_stg_ keys against staging.
Path Parameters
Example:
"we_2"
Response
OK